TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsSquare ( elt-fld^rat x ) -> elt-alg^boo, elt-fld^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> True iff the rational integer x is the square of a rational; if true, the square root of x is also returned. </shortdoc>

### Examples

IsSquare(4/1); IsSquare(One(Q));
IsSquare(-One(Q));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack